### Class

# Cogl Driver

#### Description

    abstract class Cogl.Driver : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### cogl_driver_format_supports_upload

No description available.

###### cogl_driver_get_graphics_reset_status

Returns the graphics reset status as reported by GetGraphicsResetStatusARB defined in the ARB_robustness extension.

###### cogl_driver_get_vendor

No description available.

###### cogl_driver_has_feature

Checks if a given `feature` is currently available.

###### cogl_driver_is_hardware_accelerated

No description available.

###### cogl_driver_set_feature

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglDriverClass {
      /* no available fields */
    }

No description available.